package org.simple.dao.jdbc;

import java.util.List;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.jdbc.core.support.JdbcDaoSupport;
import org.springframework.jdbc.core.JdbcTemplate;
import org.simple.dao.GMapDao;

public class GMapJdbcDaoImpl extends JdbcDaoSupport implements GMapDao {

    protected final Log logger = LogFactory.getLog(getClass());	

    private final static String SELECT_EMPLOYEES = 
    "select name, lat, lon from gm_employees "; 

    private final static String SELECT_CUSTOMERS = 
    "select name, lat, lon from gm_customers ";     
    
    public List selectEmployees() {
        JdbcTemplate jt = new JdbcTemplate(super.getDataSource());        	
	    return jt.queryForList(SELECT_EMPLOYEES);	    	
    }
    
    public List selectCustomers() {
        JdbcTemplate jt = new JdbcTemplate(super.getDataSource());        	
	    return jt.queryForList(SELECT_CUSTOMERS);	    	
    }    
    
    public List selectCentroidEmployees() {
        JdbcTemplate jt = new JdbcTemplate(super.getDataSource());        	
	    return jt.queryForList(SELECT_EMPLOYEES + " where rownum = 1");    	
    }
}    