package org.simple.dao.jdbc;

import java.util.List;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.simple.dao.GMapDao;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.core.support.JdbcDaoSupport;

public class GMapSdoJdbcDaoImpl extends JdbcDaoSupport implements GMapDao {

    protected final Log logger = LogFactory.getLog(getClass());	
    
    private final static String SELECT_EMPLOYEES = 
    "select e.name, t.x lon, t.y lat " +
    " from gm_employees e, table(sdo_util.getvertices(e.geom)) t "; 

    private final static String SELECT_CUSTOMERS = 
    "select c.name, t.x lon, t.y lat " +
    " from  gm_customers c, table(sdo_util.getvertices(c.geom)) t ";   
    
    private final static String SELECT_CENTROID_EMPLOYEES = 
    "select t.x lon, t.y lat " + 
    " from table(sdo_util.getvertices(sdo_geom.sdo_centroid( " +
    "      (select sdo_aggr_convexhull(sdoaggrtype(geom, 0.005)) from gm_employees), 0.005))) t ";
    	
    public List selectEmployees() {
        JdbcTemplate jt = new JdbcTemplate(super.getDataSource());        	
	    List l = jt.queryForList(SELECT_EMPLOYEES);	 
        return l;
    }
    
    public List selectCustomers() {
        JdbcTemplate jt = new JdbcTemplate(super.getDataSource());        	
	    return jt.queryForList(SELECT_CUSTOMERS);	    	
    }    
    
    public List selectCentroidEmployees() {
        JdbcTemplate jt = new JdbcTemplate(super.getDataSource());        	
	    return jt.queryForList(SELECT_CENTROID_EMPLOYEES);	    	
    }
}  