package org.simple.web;

import java.util.Iterator;
import java.util.List;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.web.servlet.ModelAndView;
import org.springframework.web.servlet.mvc.AbstractController;
import org.simple.dao.GMapDao;

public class GMapController extends AbstractController {

	protected final Log logger = LogFactory.getLog(getClass());	
	
	private GMapDao dao;
	
    @Override
    protected ModelAndView handleRequestInternal(HttpServletRequest request, HttpServletResponse response)
            throws Exception {
    	logger.info("started!");
    	
        List empList = dao.selectEmployees();
        List custList = dao.selectCustomers();
        List center = dao.selectCentroidEmployees();
        
        ModelAndView mav = new ModelAndView("gmap");
        mav.addObject("empList", empList);
        mav.addObject("custList", custList);
        Iterator itr = center.iterator();
        Map m = (Map)itr.next();
        mav.addObject("centerLat", m.get("lat"));
        mav.addObject("centerLon", m.get("lon"));
        
        logger.info("completed");
        return mav;
    }

	public GMapDao getDao() {
		return dao;
	}

	public void setDao(GMapDao dao) {
		this.dao = dao;
	}
}
