drop table gm_employees
/
create table gm_employees (
  id number not null
, name varchar2(80) not null
, geom sdo_geometry not null
)
/
drop table gm_customers
/
create table gm_customers (
  id number not null
, name varchar2(80) not null
, geom sdo_geometry not null
)
/
delete from user_sdo_geom_metadata
where table_name = 'GM_EMPLOYEES' or table_name = 'GM_CUSTOMERS' 
and column_name = 'GEOM'
/
insert into user_sdo_geom_metadata (table_name, column_name, diminfo, srid)
values (
  'GM_EMPLOYEES'
, 'GEOM'
, mdsys.sdo_dim_array ( mdsys.sdo_dim_element('LONG', -180.0, 180.0, 0.0000005)
                      , mdsys.sdo_dim_element('LAT', -90.0, 90.0, 0.0000005)
                      )
, 8307
)
/
insert into user_sdo_geom_metadata (table_name, column_name, diminfo, srid)
values (
  'GM_CUSTOMERS'
, 'GEOM'
, mdsys.sdo_dim_array ( mdsys.sdo_dim_element('LONG', -180.0, 180.0, 0.0000005)
                      , mdsys.sdo_dim_element('LAT', -90.0, 90.0, 0.0000005)
                      )
, 8307
)
/
commit
/
create index gm_employees_sidx on gm_employees(geom) indextype is mdsys.spatial_index
/
create index gm_customers_sidx on gm_customers(geom) indextype is mdsys.spatial_index
/
delete gm_employees
/
insert into gm_employees values
(1, 'Erik Kerkhoven', sdo_geometry(2001, 8307, sdo_point_type(4.4989, 52.1791, null), null, null) )
/
insert into gm_employees values
(2, 'Paul Rutgers', sdo_geometry(2001, 8307, sdo_point_type(5.1767, 52.0304, null), null, null) )
/
insert into gm_employees values
(3, 'Johan van Grondelle', sdo_geometry(2001, 8307, sdo_point_type(4.9535, 52.3121, null), null, null) )
/
delete gm_customers
/
insert into gm_customers values
(1, 'Oracle', sdo_geometry(2001, 8307, sdo_point_type(5.0366, 52.0818, null), null, null) )
/
commit
/

  