<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="content-type" content="text/html; charset=utf-8"/>
    <title>My Google Map</title>
    <script src="http://maps.google.com/maps?file=api&amp;v=2&amp;key=ABQIAAAAAGpPjGXYkQ-We5Y_uKQYWxR4EqRj3RNZnoYuzojShxUjcPQKRRQkr4B93dQoLaikM-ZkYu3jZ_47Pw"
      type="text/javascript"></script>
    
    <script type="text/javascript">

    //<![CDATA[
        
    function load() {
      if (GBrowserIsCompatible()) {
        var map = new GMap2(document.getElementById("map"));
        map.addControl(new GLargeMapControl()); 
        map.addControl(new GMapTypeControl()); 
        map.setCenter(new GLatLng(${centerLat},${centerLon}), 9);

	    <c:forEach var="item" items="${empList}">
          var point = new GPoint(${item.lon},${item.lat});
          var marker = new createMarker(point, "E", "${item.name}");
          map.addOverlay(marker);	
	    </c:forEach>
	    
	    <c:forEach var="item" items="${custList}">
          var point = new GPoint(${item.lon},${item.lat});
          var marker = new createMarker(point, "C", "${item.name}");
          map.addOverlay(marker);	
	    </c:forEach>	    
      }
    }

    // Create a base icon for all of our markers that specifies the
    // shadow, icon dimensions, etc.
    var baseIcon = new GIcon();
    baseIcon.shadow = "http://www.google.com/mapfiles/shadow50.png";
    baseIcon.iconSize = new GSize(20, 34);
    baseIcon.shadowSize = new GSize(37, 34);
    baseIcon.iconAnchor = new GPoint(9, 34);
    baseIcon.infoWindowAnchor = new GPoint(9, 2);
    baseIcon.infoShadowAnchor = new GPoint(18, 25);

    function createMarker(point, letter, name) {
	  var icon = new GIcon(baseIcon);
      icon.image = "http://www.google.com/mapfiles/marker" + letter + ".png";	    
      var marker = new GMarker(point, icon);
      var html = "Name: <b>" + name + "</b>"; 
      GEvent.addListener(marker, "click", function() {
        marker.openInfoWindowHtml(html);
      });
      return marker;
    }

    //]]>
    </script>	
  </head>
  
  <body onload="load()" onunload="GUnload()">
    <div id="map" style="width: 800px; height: 600px"></div>
  </body>
</html>